package com.muyu.cloud.mart.controller;

import com.dtflys.forest.annotation.Post;
import com.github.pagehelper.PageHelper;
import com.muyu.cloud.mart.mapper.UserMapper;
import com.muyu.cloud.mart.service.UserService;
import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.controller.BaseController;
import com.muyu.domain.User;
import com.muyu.domain.UserSearch;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author：chaiyapeng
 * @Package：com.muyu.cloud.mart.controller
 * @Project：cloud-mart
 * @name：UserController
 * @Date：2024/8/22 15:28
 */
@RestController
@RequestMapping("user")
public class UserController extends BaseController {

    @Autowired
    private UserService userService;
    /**
     * 查询所以用户信息
     */
    @GetMapping("getAllUsers")
    public Result getAllUsers(){
        List<User> list = userService.getAllUsers();
        return Result.success(list);
    }
    /**
     * 添加新用户
     */
    @PostMapping("/addUser")
    public Result addUser(@RequestBody User user){
        return userService.addUser(user);
    }
    /**
     * 更新用户
     */
    @PostMapping("/updateUser")
    public Result updateUser(@RequestBody User user){
        return userService.updateUser(user);
    }

    /**
     * 删除用户
     */
    @PostMapping("deleteUser")
    public Result deleteUser(@RequestBody User user){
        return userService.deleteUser(user);
    }
    /**
     * 多条件分页查询
     */
    @PostMapping("getAllUserByCon")
    public Result getAllUserByCon(@RequestBody UserSearch userSearch){
        startPage();
        return userService.getAllUserByCon(userSearch);
    }
}
